package com.adobe.primetime.reference.advertising;

import com.adobe.mediacore.MediaPlayerItem;
import com.adobe.mediacore.timeline.Opportunity;
import com.adobe.mediacore.timeline.advertising.ContentResolver;

public class DisabledContentResolver extends ContentResolver {


    @Override
    protected void doConfigure(MediaPlayerItem mediaPlayerItem) {

    }

    @Override
    protected boolean doCanResolve(Opportunity opportunity) {
        return true;
    }

    @Override
    protected void doResolve(Opportunity opportunity) {
        _client.notifyCompleted(opportunity);
    }

    @Override
    protected void doCleanup() {

    }
}
